View Issue Details

IDProjectCategoryView StatusLast Update
0029763LazarusIDEpublic2017-04-16 09:12
ReporterSergey TsukanovAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSOS Version10
Product Version1.6Product Build1.6.0.4 
Target Version1.8Fixed in Version1.7 (SVN) 
Summary0029763: TDBGrid.Columns.Title.Caption do not save to LRT file, not save to PO file and not translate
DescriptionLazarus 1.6.0 (svn rev. 51630) do not save TDBGrid.Columns.Title.Caption property to LTR and PO files, Lazarus 1.4.4 - saved.
TagsNo tags attached.
Fixed in Revision52216
LazTarget1.6.2
WidgetsetWin32/Win64
Attached Files

Relationships

has duplicate 0030013 resolvedJesus Reyes i18n do not translate TDBGrid TColumn.Title.Caption 

Activities

Sergey Tsukanov

2016-03-01 15:46

reporter  

GridColTitle_bug.zip (130,138 bytes)

Jesus Reyes

2016-04-19 22:43

developer   ~0092101

This was a regression introduced in 49040, please test.

Sergey Tsukanov

2016-11-20 14:24

reporter   ~0096083

Last edited: 2016-11-20 14:59

View 3 revisions

I tested in version Lazarus 162 SVN 53354, this bug is present.
TDBGrid.Columns.Title.Caption property not stored in frm_Main.lrt file (see GridColTitle_bug.zip), and not present in GridColTitle_bug.po file.
Maybe I'm doing something wrong? but Lazarus 144 it works.

Jesus Reyes

2017-04-16 09:12

developer   ~0099623

It works here, remember that LRT file support has been dropped in r52679 (so it worked for me for a short time), currently a lrj file is created and it used for creating a .po file (here he po file was recreated on project build.

Issue History

Date Modified Username Field Change
2016-03-01 15:46 Sergey Tsukanov New Issue
2016-03-01 15:46 Sergey Tsukanov File Added: GridColTitle_bug.zip
2016-03-01 18:27 Jesus Reyes Assigned To => Jesus Reyes
2016-03-01 18:27 Jesus Reyes Status new => assigned
2016-04-15 21:51 Jesus Reyes Relationship added has duplicate 0030013
2016-04-19 22:43 Jesus Reyes Fixed in Revision => 52216
2016-04-19 22:43 Jesus Reyes LazTarget => 1.6.2
2016-04-19 22:43 Jesus Reyes Note Added: 0092101
2016-04-19 22:43 Jesus Reyes Status assigned => resolved
2016-04-19 22:43 Jesus Reyes Fixed in Version => 1.7 (SVN)
2016-04-19 22:43 Jesus Reyes Resolution open => fixed
2016-04-19 22:43 Jesus Reyes Target Version => 1.8
2016-11-20 14:24 Sergey Tsukanov Note Added: 0096083
2016-11-20 14:24 Sergey Tsukanov Status resolved => assigned
2016-11-20 14:24 Sergey Tsukanov Resolution fixed => reopened
2016-11-20 14:30 Sergey Tsukanov Note Edited: 0096083 View Revisions
2016-11-20 14:59 Sergey Tsukanov Note Edited: 0096083 View Revisions
2017-04-16 09:12 Jesus Reyes Note Added: 0099623
2017-04-16 09:12 Jesus Reyes Status assigned => resolved
2017-04-16 09:12 Jesus Reyes Resolution reopened => fixed